﻿using System.Diagnostics;
using System.IO;
using System.Windows.Forms;
using Tekla.Structures;
using TSM = Tekla.Structures.Model;

namespace Tekla.Technology.Akit.UserScript
{
    public class Script
    {
        public static void Run(Tekla.Technology.Akit.IScript akit)
        {
            string xsmacro = "";
            string language = "";
            string nostart = "";
            string filenotfound = "";
            string task_done = "";

            Tekla.Structures.TeklaStructuresSettings.GetAdvancedOption("XS_LANGUAGE", ref language);
            Tekla.Structures.TeklaStructuresSettings.GetAdvancedOption("XS_MACRO_DIRECTORY", ref xsmacro);

            if (language == "RUSSIAN")
            {
                nostart = "Macro \"NumberingDrawingHistory\" невозможно запустить.";
                filenotfound = "Файл \"NumberingDrawingHistory.exe\" не найти.";
                task_done = "Macro \"NumberingDrawingHistory\" закрытый!";
            }
            else
            {
                nostart = "Unable to start macro \"Titles\".";
                filenotfound = "File \"NumberingDrawingHistory.exe\" not found.";
                task_done = "Macro \"NumberingDrawingHistory\" closed!";
            }

            string[] macros = xsmacro.Split(';');

            for (int i = 0; i < macros.Length; i++)
            {
                try
                {
                    string EnginePath = macros[i] + "\\modeling\\NumberingDrawingHistory.exe";

                    Process NewProcess = new Process();

                    if (File.Exists(EnginePath))
                    {
                        NewProcess.StartInfo.FileName = EnginePath;

                        try
                        {
                            NewProcess.Start();
                            NewProcess.WaitForExit();
                        }
                        catch
                        {
                        }

                        

                        i = macros.Length + 1;
                    }
                    else
                    {
                    }

                }
                catch
                {
                }
            }
        }
    }
}
